#!/usr/bin/perl

use Net::Twitter;
use Data::Dumper;

if (@ARGV < 2) {
	die "Usage: ./public_timeline.pm <username> <password> [apiurl [apihost [since_id]]]";
}
my ($username, $password, $apiurl, $apihost, $since_id) = @ARGV;
my $twit = Net::Twitter->new(username=>$username,
						     password=>$password,
						     apiurl=>$apiurl,
						     apihost=>$apihost,
						     apirealm=>"Shovel API");
my $result = $twit->public_timeline($since_id);
print Dumper($result);
